Assignee:
Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 16400

Description

The spin boxes for RGB in the color selector are all filled with 0s for borders in the simple fills. They are correct for fills.

History

#1 - 2013-03-25 01:37 PM - Larry Shaffer

Hi Paolo,

I can not reproduce this on Mac (building on Ubuntu and Win 7 to test now). Could you attach a screen snap of the exact button and opened color chooser?

(So I know I'm testing the correct one, e.g. I don't know if you mean old or new symbology.)

Does the button show the wrong color or just the color chooser?

Do you have live-updating for the color chooser on (under Options->General)? Does toggling live-updating on or off make a difference?

#2 - 2013-03-25 01:46 PM - Paolo Cavallini

- File rgb.png added

#3 - 2013-03-25 01:58 PM - Matthias Kuhn

Hi Paolo,

did you try to slide up the slider (small arrow) on the bar to the right?

#4 - 2013-03-25 02:25 PM - Larry Shaffer

- File mac_color-chooser_value-slider.png added

Hi Paolo,

If you mean while specifically in the color chooser the 0,0,0 for RGB does not change when you have a HSV Value of 0, that is correct behavior for that type

of color chooser. You will have to drag the vertical slider on the right up to set a HSV Value > 0. It seems that type of color chooser always defaults to an

HSV chooser setup (fairly common) even though the passed in color value was strictly RGB.

Mac default color-chooser has the same setup, but adjustment of the Value slider changes the values of the colors in the picking area, i.e. if Value is

darker, the colors get darker. The chooser you have does not do that, so it's not immediately clear the Value of 0 is limiting color selection.
Or, am I misunderstanding the issue?

#5 - 2013-03-26 12:52 AM - Giovanni Manghi

- Status changed from Open to Feedback

I cannot replicate either. That spin boxes are set to 0 0 0 because the border color is always black by default. Try choose another color for the border and

then open the dialog again, the spin boxes show the correct rgb value.

#6 - 2013-03-26 04:52 AM - Paolo Cavallini

I see; still I find it strange that if I select the fill, when I click on the color box, the RGB values and the color selected are updated, whereas for borders I first

have to select one of the preset colors, then the behaviour becomes the one expected.

#7 - 2013-03-26 05:08 AM - Matthias Kuhn

Just had a look at GIMP. This is per default set to use hue instead of value for the vertical bar. I think this is more intuitive.

I don't know how much work it would be to change the QColorDialog to do that. Actually that would be something to be better solved upstream.

#8 - 2013-09-09 05:41 AM - Paolo Cavallini

Could you please report it upstream? Thanks.

#9 - 2014-06-23 08:20 AM - Paolo Cavallini

- Priority changed from Normal to Low

- Resolution set to up/downstream

#10 - 2014-10-12 09:38 AM - Giovanni Manghi

- Resolution changed from up/downstream to worksforme

- Status changed from Feedback to Closed

anyway on the latest master the spinboxes for borders rgb color do reflect the color of the border.
